Analyze manifest quality
POST
/manifests/analyze
const url = 'https://shoehorn.example.com/api/v1/manifests/analyze';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"content":"example","format":"shoehorn"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shoehorn.example.com/api/v1/manifests/analyze \ --header 'Content-Type: application/json' \ --data '{ "content": "example", "format": "shoehorn" }'Returns quality score and improvement suggestions.
Request Body required
Section titled “Request Body required ” Media type application/json
object
content
required
YAML manifest content
string
format
string
Responses
Section titled “ Responses ”Quality analysis